import Vue from 'vue';
import VueI18n from 'vue-i18n';
Vue.use(VueI18n);

const messages = {
    'en': {
        Login: {
            loginHeader: 'Login Form',
            registerBtn: 'Register',
            username: 'username',
            password: 'password',
            loginBtn: 'login',
            passwordHint: 'At Least 8 characters',
            required: 'Required',
            min8Character: 'Min 8 Characters'
        },
        Register: {
            registerHeader: 'Signup',
            loginBtn: 'login',
            username: 'username',
            password: 'password',
            repeatPassword: 'repeat password',
            registerBtn: 'Register And Login',
            required: 'Required',
            min8Character: 'Min 8 Characters',
            matchPass: "password and repeat passwords must be the same"
        },
        AppHeader: {
            appName: 'Karname',
        },
        AppFooter: {
            appLang: 'en',
        }


    },
    'fa': {
        Login: {
            loginHeader: 'ورود کاربر',
            registerBtn: 'ثبت نام',
            username: 'نام کاربری',
            password: 'رمز ورود',
            loginBtn: 'ورود',
            passwordHint: 'حداقل 8 کاراکتر',
            required: 'مورد نیاز',
            min8Character: 'حداقل 8 کاراکتر'
        },
        Register: {
            registerHeader: 'ثبت نام کاربر',
            loginBtn: 'ورود',
            username: 'نام کاربری',
            password: 'رمز ورود',
            repeatPassword: 'تکرار رمز ورود',
            registerBtn: 'ثبت نام و ورود',
            required: 'مورد نیاز',
            min8Character: 'حداقل 8 کاراکتر',
            matchPass: "رمز عبور و تکرار آن باید مشابه باشند"
        },
        AppHeader: {
            appName: 'کارنامه',
        },
        AppFooter: {
            appLang: 'فا',
        }

    }
};

const i18n = new VueI18n({
    locale: 'fa', // set locale    
    fallbackLocale: 'en', // set fallback locale    
    messages, // set locale messages
});

export default i18n;