// import '@mdi/font/css/materialdesignicons.css';
import 'vuetify/dist/vuetify.min.css';
import '@mdi/font/css/materialdesignicons.css';
import 'material-design-icons-iconfont/dist/material-design-icons.css';
import Vue from 'vue';
import Vuetify from 'vuetify';
import '../../public/fonts/font.css';
Vue.use(Vuetify);

import fa from 'vuetify/es5/locale/fa';
import en from 'vuetify/es5/locale/en';


import VueI18n from 'vue-i18n';
Vue.use(VueI18n);

import messages from './i18n';

const i18n = new VueI18n(
    {
        locale: 'fa', // set locale    
        fallbackLocale: 'en', // set fallback locale    
        messages, // set locale messages
    }
);


export default new Vuetify({
    lang: {
        locales: { fa, en },
        current: 'fa',
        t: (key, ...params) => i18n.t(key, params),
      },
    icons: {
        iconfont: 'mdi', // default - only for display purposes
    },
    rtl: true,
});